Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SceneRenderObject Class Referenceabstract

`#include <SceneRenderObject.h>`

Inheritance diagram for SceneRenderObject:

## Public Member Functions
| SceneRenderObject ()
virtual | ~SceneRenderObject ()
virtual bool | isBatchRendered (void)=0
virtual bool | getBatchIsolated (void)=0
virtual bool | validRender (void) const =0
virtual bool | shouldRender (void) const =0
virtual void | scenePrepareRender (const SceneRenderState *pSceneRenderState, SceneRenderQueue *pSceneRenderQueue)=0
virtual void | sceneRender (const SceneRenderState *pSceneRenderState, const SceneRenderRequest *pSceneRenderRequest, BatchRender *pBatchRenderer)=0
virtual void | sceneRenderFallback (const SceneRenderState *pSceneRenderState, const SceneRenderRequest *pSceneRenderRequest, BatchRender *pBatchRenderer)=0

## Constructor & Destructor Documentation

SceneRenderObject | ( |  | ) |
| inline

virtual ~SceneRenderObject | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual bool getBatchIsolated | ( | void |  | ) |
| pure virtual

Implemented in SceneObject.

virtual bool isBatchRendered | ( | void |  | ) |
| pure virtual

Implemented in SceneObject, and ShapeVector.

virtual void scenePrepareRender | ( | const SceneRenderState * | pSceneRenderState,
|  | SceneRenderQueue * | pSceneRenderQueue
| ) |  |
| pure virtual

Implemented in SceneObject, ImageFont, SkeletonObject, CompositeSprite, and WaveComposite.

virtual void sceneRender | ( | const SceneRenderState * | pSceneRenderState,
|  | const SceneRenderRequest * | pSceneRenderRequest,
|  | BatchRender * | pBatchRenderer
| ) |  |
| pure virtual

Implemented in SceneObject, ParticlePlayer, Scroller, ImageFont, ShapeVector, SkeletonObject, CompositeSprite, WaveComposite, and Sprite.

virtual void sceneRenderFallback | ( | const SceneRenderState * | pSceneRenderState,
|  | const SceneRenderRequest * | pSceneRenderRequest,
|  | BatchRender * | pBatchRenderer
| ) |  |
| pure virtual

Implemented in SceneObject.

virtual bool shouldRender | ( | void |  | ) | const
| pure virtual

Implemented in SceneObject, ParticlePlayer, ImageFont, ShapeVector, SkeletonObject, CompositeSprite, Trigger, WaveComposite, and SpriteBase.

virtual bool validRender | ( | void |  | ) | const
| pure virtual

Implemented in SceneObject, ParticlePlayer, ImageFont, ShapeVector, SkeletonObject, WaveComposite, and SpriteBase.

The documentation for this class was generated from the following file:

- 2d/scene/SceneRenderObject.h